FECLEAREXCEPT(P)

NAME
feclearexcept - clear floating-point exception

SYNOPSIS

#include <fenv.h>

int feclearexcept(int excepts);

DESCRIPTION

The feclearexcept() function shall attempt to clear the supported floating-point exceptions represented by excepts.

RETURN VALUE

If the argument is zero or if all the specified exceptions were successfully cleared, feclearexcept() shall return zero. Otherwise, it shall return a non-zero value.

ERRORS

No errors are defined.

The following sections are informative.

EXAMPLES

None.

APPLICATION USAGE

None.

RATIONALE

None.

FUTURE DIRECTIONS

None.

SEE ALSO

fegetexceptflag() , feraiseexcept() , fesetexceptflag() , fetestexcept() , the Base Definitions volume of IEEE Std 1003.1-2001, <fenv.h>

COPYRIGHT
Portions of this text are reprinted and reproduced in electronic form from IEEE Std 1003.1, 2003 Edition, Standard for Information Technology -- Portable Operating System Interface (POSIX), The Open Group Base Specifications Issue 6, Copyright (C) 2001-2003 by the Institute of Electrical and Electronics Engineers, Inc and The Open Group. In the event of any discrepancy between this version and the original IEEE and The Open Group Standard, the original IEEE and The Open Group Standard is the referee document. The original Standard can be obtained online at http://www.opengroup.org/unix/online.html .